summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRiku Voipio <riku.voipio@linaro.org>2013-11-13 14:38:46 +0200
committerRiku Voipio <riku.voipio@linaro.org>2013-11-13 14:38:46 +0200
commita584ab9efe656fd8e85f8fefa8fbbfce6db50229 (patch)
tree1c86bbcd56e231f3f9c457d568f427dab3752ecf
parente7c76c28e1ab0cc8348ea96247a8d46582fff983 (diff)
test: switch to deploy_linaro_kernel
faster RTT time and simpler recipe. No job submission yet.
-rwxr-xr-xjenkins-arndale-commands.sh81
-rw-r--r--job_template.json59
2 files changed, 88 insertions, 52 deletions
diff --git a/jenkins-arndale-commands.sh b/jenkins-arndale-commands.sh
index 5199ff2..4d78d71 100755
--- a/jenkins-arndale-commands.sh
+++ b/jenkins-arndale-commands.sh
@@ -1,57 +1,34 @@
#!/bin/bash
-set -e
-
-rm -rf lci-build-tools builddir-*
-rm -f *deb *.gz
-
-git clone git://git.linaro.org/ci/lci-build-tools.git
-
-# git linaro/configs from linux-linaro:
-rm -rf linaro
-git status
-git remote add linux-linaro git://git.linaro.org/kernel/linux-linaro-tracking.git||true
-git fetch linux-linaro
-git checkout linux-linaro/linux-linaro -- linaro
-
-sed -i '/CONFIG_EXTRA_FIRMWARE/d' linaro/configs/arndale.conf
-sed -i '/CONFIG_SOUND/d' linaro/configs/arndale.conf
-sed -i '/CONFIG_SND/d' linaro/configs/arndale.conf
-
-# Build KVM kernel for arndale
-export MAKE_DTBS=true
-export board_type='arndale'
-export hwpack_type='arndale'
-export kernel_flavour='arndale'
-export git_reset='no'
-export use_config_fragment=1
-export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/arndale.conf linaro/configs/distribution.conf linaro/configs/kvm-host.conf"
-
-bash ./lci-build-tools/jenkins_kernel_build_inst
-
-export ROOTFS_BUILD_NUMBER=`wget -q --no-check-certificate -O - https://ci.linaro.org/jenkins/job/ubuntu-armhf-rootfs/label=precise_hwpack_cloud,rootfs=nano-lava/lastSuccessfulBuild/buildNumber`
-export ROOTFS_BUILD_TIMESTAMP=`wget -q --no-check-certificate -O - https://ci.linaro.org/jenkins/job/ubuntu-armhf-rootfs/label=precise_hwpack_cloud,rootfs=nano-lava/lastSuccessfulBuild/buildTimestamp?format=yyyyMMdd`
-export ROOTFS_BUILD_URL="http://snapshots.linaro.org/raring/images/nano-lava/${ROOTFS_BUILD_NUMBER}/linaro-raring-nano-lava-${ROOTFS_BUILD_TIMESTAMP}-${ROOTFS_BUILD_NUMBER}.tar.gz"
-wget --progress=dot -e dotbytes=2M ${ROOTFS_BUILD_URL}
-
-# Create pre-built image(s)
-./linaro-image-tools/linaro-media-create --dev arndale --output-directory upload-dir-arndale --image-size 2000M --binary linaro-raring-nano-lava-${ROOTFS_BUILD_TIMESTAMP}-${ROOTFS_BUILD_NUMBER}.tar.gz --hwpack hwpack_linaro-arndale_*.tar.gz --hwpack-force
-
-mv upload-dir-arndale/sd.img arndale-sd.img
-
-# Compress image(s)
-gzip -9 arndale-sd.img
-
-cat <<EOF > post_build_lava_parameters_arndale
-HWPACK_JOB_NAME=${JOB_NAME}
-HWPACK_BUILD_NUMBER=${BUILD_NUMBER}
-HWPACK_FILE_NAME=`ls hwpack_linaro-arndale*.tar.gz`
-DEVICE_TYPE=arndale
-IMAGE_URL=https://snapshots.linaro.org/kernel-hwpack/linux-arndale-kvm/linux-arndale-kvm/arndale-sd.img.gz
-LAVA_TEST_PLAN=kvm
-GIT_REPO=git://git.linaro.org/qa/test-definitions.git
-BUNDLE_STREAM_NAME=/private/team/linaro/virtualization/
-EOF
+rm -rf kernel_build
+mkdir kernel_build
+
+export TCBINDIR=${TCBINDIR:-"$HOME/tc/bin"}
+export CROSS=${TCBINDIR}/arm-linux-gnueabihf-
+export COMMON_PARAMS=-j4 ARCH=arm CROSS_COMPILE=${CROSS} O=$(pwd)/kernel_build
+
+echo "building with: $COMMON_PARAMS"
+
+make $COMMON_PARAMS arndale_kvm_defconfig
+make $COMMON_PARAMS uImage dtbs
+cp ./arch/arm/boot/uImage .
+cp ./arch/arm/boot/dts/exynos5250-arndale.dtb .
+
+# since the filename of latest build is always changing, we have to construct the url...
+
+export ROOTFS_BUILD_NUMBER=`wget -q --no-check-certificate -O - https://ci.linaro.org/jenkins/job/ubuntu-armhf-rootfs/label=precise_hwpack_cloud,rootfs=server/lastSuccessfulBuild/buildNumber`
+export ROOTFS_BUILD_TIMESTAMP=`wget -q --no-check-certificate -O - https://ci.linaro.org/jenkins/job/ubuntu-armhf-rootfs/label=precise_hwpack_cloud,rootfs=server/lastSuccessfulBuild/buildTimestamp?format=yyyyMMdd`
+export ROOTFS_BUILD_URL="http://snapshots.linaro.org/raring/images/server/${ROOTFS_BUILD_NUMBER}/linaro-raring-server-${ROOTFS_BUILD_TIMESTAMP}-${ROOTFS_BUILD_NUMBER}.tar.gz"
+
+sed -e "s,%%KERNEL_URL%%,https://snapshots.linaro.org/kernel-hwpack/linux-arndale-kvm/linux-arndale-kvm/uImage, " \
+ -e "s,%%DTB_URL%%,https://snapshots.linaro.org/kernel-hwpack/linux-arndale-kvm/linux-arndale-kvm/exynos5250-arndale.dtb," \
+ -e "s,%%ROOTFS_URL%%,$ROOTFS_BUILD_URL," \
+ -e "s,%%NAME%%,${JOB_NAME},"
+ job_template.json > job_arndale_kvm.json
+
+cat job_arndale_kvm.json
+
+exit 1
cat << EOF > BUILD-INFO.txt
Format-Version: 0.1
diff --git a/job_template.json b/job_template.json
new file mode 100644
index 0000000..eed41b6
--- /dev/null
+++ b/job_template.json
@@ -0,0 +1,59 @@
+{
+ "actions": [
+ {
+ "command": "deploy_linaro_kernel",
+ "parameters": {
+ "dtb": "%%DTB_URL%%",
+ "kernel": "%%KERNEL_URL%%",
+ "nfsrootfs": "%%ROOTFS_URL%%",
+ "target_type": "ubuntu"
+ }
+ },
+ {
+ "command": "boot_linaro_image",
+ "parameters": {
+ "boot_cmds": [
+ "setenv autoload no",
+ "setenv pxefile_addr_r '0x50000000'",
+ "setenv kernel_addr_r '0x40007000'",
+ "setenv initrd_addr_r '0x42000000'",
+ "setenv fdt_addr_r '0x41f00000'",
+ "setenv loadkernel 'tftp ${kernel_addr_r} ${lava_kernel}'",
+ "setenv fdt_high '0xffffffff'",
+ "setenv loadkernel 'tftp ${kernel_addr_r} ${lava_kernel}'",
+ "setenv loadinitrd 'tftp ${initrd_addr_r} ${lava_ramdisk}; setenv initrd_size ${filesize}'",
+ "setenv loadfdt 'tftp ${fdt_addr_r} ${lava_dtb}'",
+ "setenv bootargs 'root=/dev/ram0 console=ttySAC2,115200n8 init --no-log ip=:::::eth0:dhcp'",
+ "setenv nfsargs 'setenv bootargs console=ttyO0,115200n8 root=/dev/nfs rw nfsroot=${lava_server_ip}:${lava_nfsrootfs} earlyprintk ip=:::::eth0:dhcp'",
+ "setenv bootcmd 'dhcp; setenv serverip ${lava_server_ip}; run loadkernel; run loadfdt; run nfsargs; bootm ${kernel_addr_r} - ${fdt_addr_r}'",
+ "boot"
+ ]
+ }
+ },
+ {
+ "command": "lava_test_shell",
+ "parameters": {
+ "testdef_repos": [
+ {
+ "git-repo": "git://git.linaro.org/qa/test-definitions.git",
+ "testdef": "ubuntu/kvm.yaml"
+ }
+ ],
+ "timeout": 18000
+ }
+ },
+ {
+ "command": "submit_results",
+ "parameters": {
+ "server": "http://validation.linaro.org/RPC2/",
+ "stream": "/private/team/linaro/virtualization/"
+ }
+ }
+
+
+ ],
+ "device_type": "arndale",
+ "health_check": false,
+ "job_name": "%%NAME%%",
+ "timeout": 18000
+}